<ion-content
  style="background: #42275a; /* fallback for old browsers */
    background: -webkit-linear-gradient(to top, #000,#42275a, #734b6d); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to top,#000, #42275a, #734b6d);text-align: center"
>
  <div class="div_top">
    <button (click)="back()" ion-button clear icon-only>
      <ion-icon name="arrow-back"></ion-icon>
      <span>{{ country?.name }}</span>
    </button>
  </div>

  <div class="div_profile_pic">
    <img src="{{ country?.image }}" />
  </div>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'newSong' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of newlists; let i = index"
      (click)="playnew(i)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <img
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px;color:azure"
      />
      <p style="color:azure;text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:azure;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'newAlbums' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <ng-container *ngFor="let artist of newAlbums | async">
      <div
        class="scroll-item"
        *ngIf="checkArtist(artist.artist)"
        (click)="gotoalbum(artist.$key, artist.artist)"
        style="text-align: center;margin:10px;width: 120px"
      >
        <img
          class="shadow"
          src="{{ artist.image }}"
          style="width: 120px;height: 120px;color:azure"
        />
        <p style="color:azure;text-overflow: ellipsis;overflow: hidden">
          {{ artist.name }}
        </p>
        <p style="color:darkgray;margin-top:-10px;color:azure;font-size: 80%">
          {{ artist.artistName }}
        </p>
      </div>
    </ng-container>
  </ion-scroll>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'trendingNow' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of popularTracksPlaylists; let i = index"
      (click)="playpop(i)"
      style="text-align: center;margin:10px;width: 120px;"
    >
      <img
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px;color:azure"
      />
      <p style="color:azure;text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:azure;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'playlists' | translate }}
    <button ion-button icon-only clear (click)="playlist()"></button>
  </ion-item>
  <ion-scroll scrollY style="height:200px;">
    <ion-list class="playlist" no-lines style="background-color: transparent">
      <ion-item
        *ngFor="let track of playlists; let i = index"
        block
        clear
        style="background-color: transparent;color:white"
      >
        <ion-avatar item-left (click)="play(i)">
          <img class="shadow" src="{{ track.art }}" />
        </ion-avatar>
        <h2 (click)="play(i)">{{ track.title }}</h2>
        <p (click)="play(i)" style="color:floralwhite">{{ track.artist }}</p>
      </ion-item>
    </ion-list>
  </ion-scroll>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'artists' | translate }}</ion-item
  >

  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of popularArtistsPlaylists"
      (click)="gotoartist(artist.$key)"
      style="text-align: center;margin:10px"
    >
      <img
        class="shadow"
        src="{{ artist.image }}"
        style="width: 120px;height: 120px;color:azure;border-radius: 100px"
      />
      <p style="color:azure">{{ artist.name }}</p>
    </div>
  </ion-scroll>

  <ion-item
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'newVideo' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of videoPlaylists; let i = index"
      (click)="playVideo(i)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <img
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px;color:azure"
      />
      <p style="color:azure;text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:azure;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>
</ion-content>

<ion-footer
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top,#000,#42275a); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000,#42275a);border: none"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>

  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color: white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
